[darcs-users] darcsweb breaks with Darcs 2

Alberto Bertogli albertito at blitiri.com.ar
Tue Oct 28 16:02:15 UTC 2008


On Mon, Oct 27, 2008 at 01:12:04PM -0600, Goldstein, Ken wrote:
> I'm sure this is obvious to most of the readers, but I'm not a Darcs
> expert. 
> We have been using darcs 1 with the Darcsweb interface for a while.
> When I upgraded Darcs to version 2, Darcsweb stopped working.
> On http://lists.osuosl.org/pipermail/darcs-users/2008-August/012658.html
> it said that there were 4 patches to make Darcsweb work with darcs 2.
> It said you can fetch everything by doing:
> darcs get http://blitiri.com.ar/p/darcsweb/repos/darcsweb/
> I did this, but I'm not sure what to do next.

I've just released darcsweb 1.1 which fixes this issue. You can download
the tarball from

	http://blitiri.com.ar/p/darcsweb/files/1.1/darcsweb-1.1.tar.gz

and then copy the "darcsweb.cgi" and "style.cgi" over the ones you
currently have.

If you prefer to get it via darcs, you can, just like you said, use:

	darcs get http://blitiri.com.ar/p/darcsweb/repos/darcsweb/

and then do the same as if you had downloaded the tarball.

If something doesn't work, please let me know.

Thanks,
		Alberto



More information about the darcs-users mailing list